[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TScrollingWinControl.WMSize

Performs actions needed to handle WMSize messages.

## Declaration

Source position: forms.pp line 188

`protected procedure TScrollingWinControl.WMSize(`
`var Message: TLMSize`
`); message;`

## Arguments

`Message` |  | Message examined in the method.

## Description

WMSize is a procedure used to perform actions needed to handle WMSize messages for the control. WMSize calls the inherited WMSize method to set the bounds for the control, optionally using the bounds from the parent control.

WMSize provides support for setting the window state based on size messages that originate in the LCL interface, and calls Resizing to realize the new window state.

## See also

TCustomForm.WMSize |  | Handles the LM_SIZE window message for the form.
TControl.WMSize
TScrollingWinControl.Resizing |  | Performs actions needed when the control processes the WMSize message.
TWindowState |  | Represents the actual State of the window on the screen.